#ifndef CONFIGURATION_H
#define CONFIGURATION_H
// $Id: configuration.h,v 1.2 2001/04/12 14:55:56 dvermeir Exp $

#include <iostream>
#include <set>

//! A Configuration object represents the httpstats configuration.
class Configuration {
public:
  enum CRITERIUM { DATE, PATH, DOMAIN };
  Configuration();
  ~Configuration() {}

  CRITERIUM       format() const { return format_; }
  unsigned int    max_level() const { return max_level_; }
  const set<unsigned int>& levels() const { return levels_; }

  bool parse(istream&);
private:
  CRITERIUM         format_;
  set<unsigned int> levels_;
  unsigned int      max_level_;
};
#endif

